
port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: 127.0.0.1:9090

proxies:
  - {name: 🇯🇵 日本NO.2, server: xdd.dashuai.cyou, port: 45057, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇲🇾 马来西亚专线NO1, server: haa.dashuai.cyou, port: 45058, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇭🇰 香港NO.2, server: xdd.dashuai.cyou, port: 45051, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇬🇧 英国1, server: haa.dashuai.cyou, port: 45066, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇨🇦 加拿大2, server: xdd.dashuai.cyou, port: 45065, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇬🇧 英国2, server: xdd.dashuai.cyou, port: 45067, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇫🇷 法国2, server: xdd.dashuai.cyou, port: 45071, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇨🇦 加拿大1, server: haa.dashuai.cyou, port: 45064, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇺🇸 美国NO.2, server: xdd.dashuai.cyou, port: 45053, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇫🇷 法国1, server: haa.dashuai.cyou, port: 45072, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇮🇳 印度2, server: xdd.dashuai.cyou, port: 45073, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇦🇺 澳大利亚原生1, server: haa.dashuai.cyou, port: 45062, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇲🇾 马来西亚专线NO2, server: xdd.dashuai.cyou, port: 45059, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇮🇳 印度1, server: haa.dashuai.cyou, port: 45074, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇸🇬 新加坡NO.2, server: xdd.dashuai.cyou, port: 45055, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇯🇵 日本NO.1, server: haa.dashuai.cyou, port: 45056, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇰🇷 韩国 专线NO1, server: haa.dashuai.cyou, port: 45076, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇭🇰 香港, server: xg.dashuai.cyou, port: 19901, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇹🇭 泰国NO1, server: haa.dashuai.cyou, port: 45060, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇹🇼 台湾1, server: haa.dashuai.cyou, port: 45078, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇸🇬 新加坡NO.1, server: haa.dashuai.cyou, port: 45054, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇰🇷 韩国 专线NO2, server: xdd.dashuai.cyou, port: 45075, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇦🇺 澳大利亚原生2, server: xdd.dashuai.cyou, port: 45063, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇹🇭 泰国NO2, server: xdd.dashuai.cyou, port: 45061, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇺🇸 美国NO.1, server: haa.dashuai.cyou, port: 45052, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇹🇼 台湾2, server: xdd.dashuai.cyou, port: 45077, type: vmess, uuid: d224caff-83a9-4f35-ac5a-4de66abb73ba, alterId: 0, cipher: auto, tls: false, udp: true}

proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - DIRECT
      - 🇯🇵 日本NO.2
      - 🇲🇾 马来西亚专线NO1
      - 🇭🇰 香港NO.2
      - 🇬🇧 英国1
      - 🇨🇦 加拿大2
      - 🇬🇧 英国2
      - 🇫🇷 法国2
      - 🇨🇦 加拿大1
      - 🇺🇸 美国NO.2
      - 🇫🇷 法国1
      - 🇮🇳 印度2
      - 🇦🇺 澳大利亚原生1
      - 🇲🇾 马来西亚专线NO2
      - 🇮🇳 印度1
      - 🇸🇬 新加坡NO.2
      - 🇯🇵 日本NO.1
      - 🇰🇷 韩国 专线NO1
      - 🇭🇰 香港
      - 🇹🇭 泰国NO1
      - 🇹🇼 台湾1
      - 🇸🇬 新加坡NO.1
      - 🇰🇷 韩国 专线NO2
      - 🇦🇺 澳大利亚原生2
      - 🇹🇭 泰国NO2
      - 🇺🇸 美国NO.1
      - 🇹🇼 台湾2
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
  - name: ⛔️ 广告拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连

rule-providers:
  reject:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/reject.txt"
    path: ./ruleset/reject.yaml
    interval: 86400
  icloud:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/icloud.txt"
    path: ./ruleset/icloud.yaml
    interval: 86400
  apple:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/apple.txt"
    path: ./ruleset/apple.yaml
    interval: 86400
  google:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/google.txt"
    path: ./ruleset/google.yaml
    interval: 86400
  proxy:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/proxy.txt"
    path: ./ruleset/proxy.yaml
    interval: 86400
  direct:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt"
    path: ./ruleset/direct.yaml
    interval: 86400
  private:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/private.txt"
    path: ./ruleset/private.yaml
    interval: 86400
  gfw:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/gfw.txt"
    path: ./ruleset/gfw.yaml
    interval: 86400
  tld-not-cn:
    type: http
    behavior: domain
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/tld-not-cn.txt"
    path: ./ruleset/tld-not-cn.yaml
    interval: 86400
  telegramcidr:
    type: http
    behavior: ipcidr
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/telegramcidr.txt"
    path: ./ruleset/telegramcidr.yaml
    interval: 86400
  cncidr:
    type: http
    behavior: ipcidr
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/cncidr.txt"
    path: ./ruleset/cncidr.yaml
    interval: 86400
  lancidr:
    type: http
    behavior: ipcidr
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/lancidr.txt"
    path: ./ruleset/lancidr.yaml
    interval: 86400
  applications:
    type: http
    behavior: classical
    url: "https://testingcf.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/applications.txt"
    path: ./ruleset/applications.yaml
    interval: 86400

rules:
  - DOMAIN-KEYWORD,geekbang,🎯 全球直连
  - DOMAIN-KEYWORD,yfdyf,🎯 全球直连
  - DOMAIN-KEYWORD,xhamsterlive,🚀 节点选择
  - DOMAIN-KEYWORD,missav,🚀 节点选择
  - RULE-SET,applications,🎯 全球直连
  - DOMAIN,clash.razord.top,🎯 全球直连
  - DOMAIN,yacd.haishan.me,🎯 全球直连
  - RULE-SET,private,🎯 全球直连
  - RULE-SET,reject,⛔️ 广告拦截
  - RULE-SET,tld-not-cn,🚀 节点选择
  - RULE-SET,gfw,🚀 节点选择
  - RULE-SET,telegramcidr,🚀 节点选择
  - MATCH,🚀 节点选择
